Subject: Re: bug#13693: M-x grep should do some basic parameter checking

From: [email-masked]
Date: Wed, 13 Feb 2013 05:02:19 +0800

>>>>> "JL" == Juri Linkov <[email-masked]> writes:
>> Why doesn't M-x grep check that it has been given at least
>> two parameters

JL> Why two?  For example, for "git-grep pattern" just one is enough.

$ emacs
(grep "grep -nH -e love")
Will always fail. And the user will think "well, I can't find the love
letter she sent me, and thus can't find her address, so I will just give
up," when all along he just forgot to give the filename.

Whereas normally
$ grep love
would hang, waiting for input, so he would know that the relationship
still had a chance, and it was just emacs that was the reason the two
would have lost touch...